Bug 20858 - make each distinct C++ class get a distinct JSC::Structure
Summary: make each distinct C++ class get a distinct JSC::Structure
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore JavaScript (show other bugs)
Version: 528+ (Nightly build)
Hardware: Macintosh OS X 10.5
: P2 Enhancement
Assignee: Darin Adler
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-09-15 09:38 PDT by Darin Adler
Modified: 2008-09-20 19:33 PDT (History)
2 users (show)

See Also:


Attachments
work in progress (77.49 KB, patch)
2008-09-15 09:39 PDT, Darin Adler
no flags Details | Formatted Diff | Diff
patch 1 (80.07 KB, patch)
2008-09-18 23:19 PDT, Darin Adler
no flags Details | Formatted Diff | Diff
patch (73.52 KB, patch)
2008-09-19 12:47 PDT, Darin Adler
no flags Details | Formatted Diff | Diff
work in progress (32.65 KB, patch)
2008-09-19 17:50 PDT, Darin Adler
no flags Details | Formatted Diff | Diff
patch (131.88 KB, patch)
2008-09-20 14:33 PDT, Darin Adler
mjs: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Darin Adler 2008-09-15 09:38:41 PDT
This will allow us to move everything from virtual functions to functions based on things stored in Structure.

Some of this work is in JavaScriptCore, but the hard part of it is in WebCore.
Comment 1 Darin Adler 2008-09-15 09:39:47 PDT
Created attachment 23443 [details]
work in progress
Comment 2 Darin Adler 2008-09-18 23:19:45 PDT
Created attachment 23555 [details]
patch 1
Comment 3 Maciej Stachowiak 2008-09-18 23:44:31 PDT
Comment on attachment 23555 [details]
patch 1

r=me
Comment 4 Darin Adler 2008-09-18 23:49:52 PDT
Comment on attachment 23555 [details]
patch 1

Clearing the review flag since this part is landed now.

http://trac.webkit.org/changeset/36662
Comment 5 Darin Adler 2008-09-19 12:47:57 PDT
Created attachment 23578 [details]
patch
Comment 6 Darin Adler 2008-09-19 14:16:23 PDT
Comment on attachment 23578 [details]
patch

Clearing the review flag since this part is landed now.

http://trac.webkit.org/changeset/36675
Comment 7 Darin Adler 2008-09-19 17:50:08 PDT
Created attachment 23587 [details]
work in progress
Comment 8 Darin Adler 2008-09-20 13:53:37 PDT
Comment on attachment 23587 [details]
work in progress

Got a patch working now. Just running WebKit tests to make sure it doesn't break anything.
Comment 9 Darin Adler 2008-09-20 14:33:28 PDT
Created attachment 23613 [details]
patch

Passes all tests.
Comment 10 Darin Adler 2008-09-20 14:34:02 PDT
This patch takes care of all the rest! Once I land it, the task is done.
Comment 11 Maciej Stachowiak 2008-09-20 19:01:22 PDT
Comment on attachment 23613 [details]
patch

r=me

Excellent work.